Xfce Forum

Sub domains
 

You are not logged in.

#1 2022-07-10 10:43:37

ToZ
Administrator
From: Canada
Registered: 2011-06-02
Posts: 9,211

ANNOUNCE: xfce4-panel 4.17.2 released

xfce4-panel 4.17.2 is now available for download from

  https://archive.xfce.org/src/xfce/xfce4 … .2.tar.bz2
  https://archive.xfce.org/src/xfce/xfce4 … r.bz2?sha1
  https://archive.xfce.org/src/xfce/xfce4 … bz2?sha256


What is xfce4-panel?
====================

Xfce's panel.

Website:
  https://www.xfce.org/


Release notes for 4.17.2
========================
[Please note that this is a development release.]

- Dependency Changes:
  - GLib >= 2.66.0
  - Libxfce4util >= 4.17.2

- New APIs:
  - libxfce4panel: Add new function `xfce_panel_set_image_from_source()` (!83)
  - libxfce4panel: Add new function `xfce_panel_plugin_popup_menu()` (!80)

- Deprecated APIs:
  - libxfce4panel: Deprecate `xfce_panel_plugin_position_menu()` (!80)

- Code Refactoring:
  - cleanup: Remove useless variable
  - cleanup: Use already defined panel scale factor
  - cleanup: Fix old typo
  - tasklist: Remove redundant function call
  - refactoring: Consistency of plugin menu callbacks
  - refactoring: Use `g_file_peek_path()` when appropriate
  - Autohide refactoring (!77)
  - Replace soon-to-be-deprecated exo-string functions (!79)

- Bug Fixes:
  - panel: Silence allocation warning for external plugins (V2) (#590, !89)
  - panel: Compare monitor geometries in the right dimension (#54)
  - panel: Do not compare monitor geometry to itself (#54)
  - tasklist: Take window scaling into account when detecting window position (#505)
  - panel: Be sure to save plugins before xfconf_shutdown()
  - tasklist: Fix critical warning when starting on a disconnected device
  - tasklist: Delay sorting if window list is in use (#594)
  - libxfce4panel: Allow to show about dialog when prefs dialog is shown (#221)
  - panel: Prevent compositing message from affecting dialog size (Fixes #591)
  - libxfce4panel: Unblock autohide before removing the plugin (#592)
  - Grab devices until the menu takes over for popup commands (#201, #585)
  - Fix return value of "remote-event" signal handlers (#585)
  - Avoid "no trigger event" warning for popup commands
  - Guard against the return value of `gdk_seat_get_pointer()`
  - panel: Ensure that handles are always grabbable (Fixes #227)
  - Allow to set a custom icon in appmenu and dirmenu (#254, !83)
  - Use RGBA visual only if compositing is enabled (Fixes #251)
  - launcher: Fix wrong format specifier in config file name (Fixes #581)
  - applicationsmenu: Add option to set "small" property (Fixes #31, #113)
  - pager: Consistency fixes between "miniature view" and "buttons" (#74, #209, #253, #257, #274, !82)
  - libxfce4panel: Make urgency blinking more visible (Fixes #259)
  - tasklist: Sorting fixes (#29, #126, #323, !81)
  - systray: Force dbus-menu update when item is invalidated (Fixes #567)
  - libxfce4panel: Unregister menu also on "selection-done"
  - applicationsmenu: Do post-processing on "selection-done"
  - windowmenu: Do not popup menu item wnck menu at widget
  - Fix plugin menu popup at pointer (#297)
  - Add new function `xfce_panel_plugin_popup_menu()` (#147, !80)

- Translation Updates:
  Albanian, Basque, Bulgarian, Chinese (China), Chinese (Taiwan),
  Dutch, Estonian, French, German, Greek, Italian, Japanese,
  Lithuanian, Norwegian Bokmål, Polish, Portuguese, Portuguese
  (Brazil), Russian, Serbian, Slovenian, Spanish, Turkish, Ukrainian

xfce4-panel.png

Offline

#2 2022-08-20 00:40:22

ahmeteid
Member
Registered: 2022-08-15
Posts: 16

Re: ANNOUNCE: xfce4-panel 4.17.2 released

where i can find - GLib >= 2.66.0, i want to download it?

Offline

#3 2022-08-20 01:33:26

ToZ
Administrator
From: Canada
Registered: 2011-06-02
Posts: 9,211

Re: ANNOUNCE: xfce4-panel 4.17.2 released

ahmeteid wrote:

where i can find - GLib >= 2.66.0, i want to download it?

It might a problem if your distro doesn't have it available in its repositories. Its one of those things that are hard to hand compile because of dependencies. Which distro and version are you using?

Offline

#4 2022-08-20 17:28:27

ahmeteid
Member
Registered: 2022-08-15
Posts: 16

Re: ANNOUNCE: xfce4-panel 4.17.2 released

ToZ wrote:
ahmeteid wrote:

where i can find - GLib >= 2.66.0, i want to download it?

It might a problem if your distro doesn't have it available in its repositories. Its one of those things that are hard to hand compile because of dependencies. Which distro and version are you using?

i'm using zorin lite 16.1 (xfce)

Last edited by ahmeteid (2022-08-20 17:31:05)

Offline

#5 2022-08-20 17:58:42

ToZ
Administrator
From: Canada
Registered: 2011-06-02
Posts: 9,211

Re: ANNOUNCE: xfce4-panel 4.17.2 released

Zorin 16 is based on ubuntu 20.04 which uses glib 2.64. Ubuntu 21.10 has glib 2.68 and 22.04 has glib 2.72. You'll need a version of Zorin that is based on one of those ubuntu versions. Please also note that is needs the development version of libxfce4util which hasn't been official released yet.

It's going to be tough to get this all in place for Zorin 16.

Note: there is an Xfce development docker image that you can install if you want to have a look and test the newer features.

Offline

#6 2022-08-20 23:37:09

ahmeteid
Member
Registered: 2022-08-15
Posts: 16

Re: ANNOUNCE: xfce4-panel 4.17.2 released

Thank you very much

Offline

Board footer

Powered by FluxBB